Hello
I'm not able to figure out how to easily access the first entity of a slection set created with coded windows selection.
I want to read out coodinates of the first point of 2 different objects which are "grabed" in a coded windows selection set. One polyline, one line. Then I want to copy the line from it's first point as basepoint to the first point of the polyline. Advanced I would like to copy it to all the other points of the polyline too.
So it would be further more interesting to know how to access (read out the coordinates of) the second, the third and so on point of an object...using visual lisp.
The following code is using first a pick up of the object where the line should be copied to and a static coordinate for the basepoint of the line instead of a read out coodinate:
(vl-load-com)
(setq sel1 (ssget "_w" '(-2 -2) '(115 10)))
(setq e (car (entsel)))
(setq topoint (vlax-curve-getStartPoint e))
(command "_.COPY" sel1 "" "0,0" topoint)